//
//  MTAppDelegate.m
//  Analyzed
//
//  Created by Bart Jacobs on 07/03/13.
//  Copyright (c) 2013 Mobile Tuts. All rights reserved.
//

#import "MTAppDelegate.h"

#import "MTViewController.h"

@implementation MTAppDelegate

#pragma mark -
#pragma mark Application Did Finish Launching with Options
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Setup Mixpanel
    [self setupMixpanel];
    
    // Initialize View Controller
    self.viewController = [[MTViewController alloc] initWithNibName:@"MTViewController" bundle:nil];
    
    // Initialize Window
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    
    // Configure Window
    [self.window setRootViewController:self.viewController];
    [self.window makeKeyAndVisible];
    
    return YES;
}

#pragma mark -
#pragma mark Helper Methods
- (void)setupMixpanel {
    NSUserDefaults *ud = [NSUserDefaults standardUserDefaults];
    
    // Initialize Mixpanel
    Mixpanel *mixpanel = [Mixpanel sharedInstanceWithToken:@"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx"];
    
    // Identify
    NSString *mixpanelUUID = [ud objectForKey:@"MixpanelUUID"];
    
    if (!mixpanelUUID) {
        mixpanelUUID = [[NSUUID UUID] UUIDString];
        [ud setObject:mixpanelUUID forKey:@"MixpanelUUID"];
    }
    
    [mixpanel identify:mixpanelUUID];
    
    // Register Super Properties
    NSDictionary *properties = @{@"APIVersion": @"1.2"};
    [mixpanel registerSuperProperties:properties];
}

#pragma mark -
#pragma mark Application State Changes
- (void)applicationWillResignActive:(UIApplication *)application {
    
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    
}

- (void)applicationWillTerminate:(UIApplication *)application {
    
}

@end
